using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Maui.Controls;

namespace Qwirkle.Views
{
    public partial class LeaderboardLine : ContentView
    {
        public LeaderboardLine()
        {
            InitializeComponent();
        }

        public static readonly BindableProperty PlayerNameProperty =
            BindableProperty.Create(nameof(PlayerName), typeof(string), typeof(LeaderboardLine), "");

        public static readonly BindableProperty DateProperty =
            BindableProperty.Create(nameof(Date), typeof(DateTime), typeof(LeaderboardLine), default(DateTime));

        public static readonly BindableProperty PointsProperty =
            BindableProperty.Create(nameof(Points), typeof(int), typeof(LeaderboardLine), 0);

        public static readonly BindableProperty VictoriesProperty =
            BindableProperty.Create(nameof(Victories), typeof(int), typeof(LeaderboardLine), 0);

        public string PlayerName
        {
            get => (string)GetValue(PlayerNameProperty);
            set => SetValue(PlayerNameProperty, value);
        }

        public DateTime Date
        {
            get => (DateTime)GetValue(DateProperty);
            set => SetValue(DateProperty, value);
        }

        public int Points
        {
            get => (int)GetValue(PointsProperty);
            set => SetValue(PointsProperty, value);
        }

        public int Victories
        {
            get => (int)GetValue(VictoriesProperty);
            set => SetValue(VictoriesProperty, value);
        }
    }
}
